List all api logs
curl --request GET \
--url https://api.getlago.com/api/v1/api_logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getlago.com/api/v1/api_logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getlago.com/api/v1/api_logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"api_logs": [
{
"api_version": "v1",
"client": "Lago Ruby v1.26.0",
"http_method": "post",
"http_status": 200,
"logged_at": "2025-03-31T12:31:44Z",
"request_body": "{ \"billable_metric\": { \"name\": \"Storage\", \"code\": \"storage\" } }",
"request_origin": "https://app.lago.dev/",
"request_path": "/billable_metrics",
"created_at": "2022-04-29T08:59:51Z",
"request_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"request_response": "{ \"lago_id\": \"b9155544-e261-4e92-b54e-f65d7609294c\", ... }"
}
],
"meta": {
"current_page": 2,
"total_pages": 4,
"total_count": 70,
"next_page": 3,
"prev_page": 1
}
}{
"status": 401,
"error": "Unauthorized"
}Audit logs
List all API logs
This endpoint retrieves all existing api logs that represent requests performed to Lago’s API.
GET
/
api_logs
List all api logs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number.
Example:
1
Number of records per page.
Example:
20
Filter api logs from a specific date.
Example:
"2022-08-09"
Filter api logs up to a specific date.
Example:
"2022-08-09"
Filter results by HTTP methods
Available options:
post, put, delete Example:
["post", "put"]
Filter results by HTTP status or by generic request status
Available options:
succeeded, failed Example:
["failed", "succeeded", 404]
Filter results by API version
Example:
"v1"
Filter results by the path of the request
Example:
"/billable_metrics/"